<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	


<!-- Diese Methode ist beim Xalan ca. doppelt so schnell (bei 50 elementen in $var).
	Bei Saxon und Oracle kein signifikanter Unterschied, whol auf Grund von
	Optimierungen-->

	<xsl:template match="/">
		<xsl:variable name="var" select="./Bestellungen/Bestellung/Artikel[Bezeichnung='Katzenstreu']"/>
		<xsl:variable name="all" select="count($var)"/>
		<xsl:for-each select="$var">
			Bestellung <xsl:value-of select="position()"/> von <xsl:value-of select="$all"/>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>


